/****************************
 * Key Figures
****************************/
.ifs-key-figures__items {
    --grid-col:4;
    --grid-gap-x:36px;
    --grid-gap-y:var(--ifs-spacing-default);
}
.ifs-key-figures__item {min-height:300px;padding:24px 18px 0}
.ifs-key-figures__items:not(:has(.ifs-key-figures__item-number-wrapper)) .ifs-key-figures__item {min-height:140px;}
.ifs-key-figures__item:before {
    content:"";
    width:2px; height:100%; background:linear-gradient(to top, var(--ifs-color-green-2) 0, var(--ifs-color-turquoise-2) 100%);
    position:absolute; left:0; bottom:0;
}
.ifs-key-figures__item-number-wrapper {letter-spacing:-0.04em; line-height:0.83;}

@media only screen and (min-width:921px) {
    /* less items */
    .ifs-key-figures.less-items .ifs-key-figures__items {
        --grid-col:3;
        --grid-gap-x:var(--ifs-gap-container);
    }
    .ifs-key-figures.less-items .ifs-key-figures__item-text {max-width:300px;}
    .ifs-key-figures.less-items .ifs-key-figures__item .append-text {font-size:var(--ifs-size-64)}
    .ifs-key-figures.less-items .ifs-key-figures__item .sup-text {top:-0.45em}

    /* sticky */
    .ifs-key-figures.has-scrolling-animation .ifs-key-figures__items {
        --index:0;
        --spacing:var(--ifs-spacing-96);

        align-items:flex-start;
    }
    .ifs-key-figures.has-scrolling-animation .ifs-key-figures__item {
        margin-top:calc(var(--spacing) * var(--index));
        position:sticky; top:40vh;
    }
    .vc_row:has(.ifs-key-figures.has-scrolling-animation) {overflow:visible;}
}

/* has 5 items */
@media only screen and (min-width:921px) {
    .ifs-key-figures:has(.ifs-key-figures__item:nth-child(5)) .ifs-key-figures__items {
        --grid-col:5;
        --grid-gap-x:40px;
    }
    .ifs-key-figures:has(.ifs-key-figures__item:nth-child(5)) .ifs-key-figures__item {
        padding-left:16px; padding-right:16px;
    }
    .ifs-key-figures:has(.ifs-key-figures__item:nth-child(5)) .ifs-key-figures__item-number-wrapper {
        font-size:var(--ifs-size-72); line-height:1.1;
    }
    .ifs-key-figures:has(.ifs-key-figures__item:nth-child(5)) .ifs-key-figures__item:last-child {
        padding-right:0;
    }
}


/****************************
 * Key Figures Responsive
****************************/
@media only screen and (min-width:1800px) {
    .ifs-key-figures__item {padding:1.6vw 1.6vw 0;}

    /* less items */
    .ifs-key-figures.less-items .ifs-key-figures__item-text {max-width:20.5vw;}
}
@media only screen and (max-width:1180px) {
    .ifs-key-figures__item {min-height:200px;}
    .ifs-key-figures__items:not(:has(.ifs-key-figures__item-number-wrapper)) .ifs-key-figures__item {min-height:120px;}
    .ifs-key-figures__item-number-wrapper {font-size:var(--ifs-size-56);}
    .ifs-key-figures.less-items .ifs-key-figures__item .append-text {font-size:var(--ifs-size-40)}
}
@media only screen and (max-width:1360px) and (min-width:921px) {
    .ifs-key-figures:has(.ifs-key-figures__item:nth-child(5)) .ifs-key-figures__items {
        --grid-col:3;
        --grid-gap-x:var(--ifs-gap-container);
    }
    .ifs-key-figures.has-scrolling-animation:has(.ifs-key-figures__item:nth-child(5)) .ifs-key-figures__item {
        position:relative; top:0; margin-top:0;
    }
}
@media only screen and (max-width:920px) {
    .ifs-key-figures__items {
        --grid-col:2;
        --grid-gap-x:0px;
        --grid-gap-y:0px;
    }
    .ifs-key-figures__items:not(:has(.ifs-key-figures__item-number-wrapper)) .ifs-key-figures__item {min-height:unset;}
    .ifs-key-figures__item {min-height:unset; padding:30px; justify-content:center; text-align:center;}
    .ifs-key-figures__item-number-wrapper {justify-content:center}

    /* line */
    .ifs-key-figures__item:before {width:1px;}
    .ifs-key-figures__item:after {
        content:"";
        height:1px; width:100%;
        position:absolute; left:0; bottom:0;
    }
    .ifs-key-figures__item:after, .ifs-key-figures__item:before {background:var(--ifs-color-green-2);}
    .ifs-key-figures__item:nth-child(odd):before,
    .ifs-key-figures__item:last-child:after,
    .ifs-key-figures__item:nth-child(odd):nth-last-child(2):after {display:none}
    .ifs-key-figures__item:nth-child(odd):last-child {width:100%;}
    .ifs-key-figures__item:nth-child(odd):last-child:after {display:block;}

    /* less items */
    .ifs-key-figures.less-items .ifs-key-figures__item .sup-text {font-size:var(--ifs-size-32)}
}
@media only screen and (max-width:480px) {
    .ifs-key-figures__item {padding-left:12px; padding-right:12px;}
    .ifs-key-figures__item-number-wrapper {font-size:var(--ifs-size-48);}
    .ifs-key-figures__item-text {padding-top:8px; font-size:var(--ifs-size-12) !important; height:auto !important;}

    /* less items */
    .ifs-key-figures.less-items .ifs-key-figures__item .append-text {font-size:var(--ifs-size-32)}
    .ifs-key-figures.less-items .ifs-key-figures__item .sup-text {top:-.25em}

    /*  No number wrapper in any items */
    .ifs-key-figures__items:not(:has(.ifs-key-figures__item-number-wrapper)) .ifs-key-figures__item:last-child::after,
    .ifs-key-figures__items:not(:has(.ifs-key-figures__item-number-wrapper)) .ifs-key-figures__item::before {content:unset;}
    .ifs-key-figures__items:not(:has(.ifs-key-figures__item-number-wrapper)) {--grid-col:1;}
    .ifs-key-figures__items:not(:has(.ifs-key-figures__item-number-wrapper)) .ifs-key-figures__item-text {padding-top:0;}
}